A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Namespaces | Functions
ml.h File Reference
`#include <af/defines.h>`

Go to the source code of this file.

## Namespaces
namespace | af

## Functions
AFAPI array | convolve2GradientNN (const array &incoming_gradient, const array &original_signal, const array &original_filter, const array &convolved_output, const dim4 stride, const dim4 padding, const dim4 dilation, convGradientType grad_type)
| C++ interface for calculating backward pass gradient of 2D convolution This function calculates the gradient with respect to the output of the convolve2NN function that uses the machine learning formulation for the dimensions of the signals and filters.
AFAPI af_err | af_convolve2_gradient_nn (af_array *out, const af_array incoming_gradient, const af_array original_signal, const af_array original_filter, const af_array convolved_output, const unsigned stride_dims, const dim_t *strides, const unsigned padding_dims, const dim_t *paddings, const unsigned dilation_dims, const dim_t *dilations, af_conv_gradient_type grad_type)
| C interface for calculating backward pass gradient of 2D convolution This function calculates the gradient with respect to the output of the af::convolve2NN() function that uses the machine learning formulation for the dimensions of the signals and filters.